Shotgun 데스크톱을 사용하여 템플릿 프로젝트 문제를 없애려면 어떻게 해야 합니까?

2015년에 Shotgun, 툴킷 및 Shotgun 데스크톱의 보안을 개선했지만 이전 버전의 Toolkit Core API(tk-core)를 사용하는 일부 사용자의 경우 문제가 발생할 수 있습니다. 이는 특히 이전 Shotgun 설정에 적용되는데, 이 설정에서는 사이트 구성의 파이프라인 구성 엔티티가 프로젝트 필드가 비어 있는 사이트 구성의 최신 규칙 대신 해당 프로젝트 필드가 "템플릿 프로젝트"로 설정된 상태로 지정되었습니다.

이 문제를 해결하기 위해 어떤 조치가 이루어졌습니까?

업데이트, tk-core v0.16.8을 릴리즈했습니다. 이 업데이트를 통해 사이 특성을 마이그레이션하여 템플릿 프로젝트의 종속성을 제거할 수 있도록 새로운 tank 명령을 도입했습니다.

그럼 어떤 버전의 Shotgun 데스크톱이 필요합니까?

이 명령을 실행하기 전에 모든 사용자가 호환되는 Shotgun 데스크톱 버전을 실행 중인지 확인해야 합니다. 컴퓨터에서 어떤 버전이 사용 중인지 확실하지 않다면 데스크톱을 실행한 다음 오른쪽 아래의 사용자 아이콘을 클릭하고 "정보...(About...)"를 선택합니다.

shotgun_versions.png

"앱 버전 1.1" 이하를 실행 중이라면 최신 버전 Shotgun 데스크톱을 다운로드해야 합니다. 최신 버전은 사용자 안내서의 안내에 따라 다운로드할 수 있습니다.

"앱 버전 1.1.x"를 실행 중이라면 "시작 버전 1.2.1" 이상을 실행 중인지 확인하십시오. 일반적으로 Shotgun 데스크톱을 실행하면 시작 코드도 자동으로 업데이트되어야 합니다. 따라서 "정보...(About...)" 상자를 볼 때 이미 "시작 버전 1.2.1" 이상이 표시되어야 합니다. 원하는 경우 최신 버전을 다운로드해도 됩니다.

"앱 버전 1.2.x" 이상을 실행 중이라면 사용자 컴퓨터에서는 아무 작업도 할 필요 없습니다.

끝으로 Shotgun 데스크톱에서 "코어 버전 0.16.8"이상을 실행 중이어야 합니다. 그렇지 않으면 파이프라인 관리자가 사이트 구성의 해당 버전을 잠갔을 수 있으며, 0.16.8 픽스를 받으려면 사용자가 "탱크 코어" 업데이트를 실행해야 합니다.

준비를 마쳤는데 무엇을 실행해야 합니까?

모든 사용자가 위의 버전 확인을 통과하고 나면 사이트 구성의 셸에서 다음 명령을 실행하면 됩니다.

tank migrate_desktop

로그인 기반 인증을 사용하여 이 명령을 실행하는 경우 파이프라인 구성 엔티티를 편집할 수 있는 관리자 수준의 역할을 지닌 Shotgun 사용자로 로그인되어 있어야 합니다. 다 됐습니다!

"오류: 작업 'migrate_desktop'을 찾을 수 없습니다!"가 발생합니다

이는 이 마이그레이션을 지원하지 않는 이전 버전의 코어를 실행 중이라는 의미입니다. 다음을 실행하여 코어 버전을 업데이트해야 합니다.

tank core

아니면 보다 최신 설치로부터 마이그레이션을 실행하면 됩니다.

특히 아티스트 같은 일부 사람들은 여전히 권한 오류, 특히 CRUD 오류를 겪고 있습니다!

그 이후 일부 사용자도 권한 오류를 겪는 경우에는 이 사용자들의 Shotgun 데스크톱이 사전 요건을 충족하는지 확인하지 않았을 가능성이 높습니다. 해당 사용자들에게 최신 버전의 Shotgun 데스크톱을 다운로드하고, Shotgun 데스크톱을 처음 실행할 때 ALT 키를 누르고 있으라고 하십시오. 다음 시작 화면이 나타나야 합니다.

Screen_Shot_2015-07-14_at_1.19.20_PM.png

그래도 문제가 해결되지 않으면 지원 팀에 문의 바랍니다.

팔로우

0 댓글

댓글을 남기려면 로그인하세요.